Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Filter Class Reference

STK abstract filter class. More...

`#include <Filter.h>`

Inheritance diagram for stk::Filter:

List of all members.

## Public Member Functions
| Filter (void)
| Class constructor.
unsigned int | channelsIn (void) const
| Return the number of input channels for the class.
unsigned int | channelsOut (void) const
| Return the number of output channels for the class.
virtual void | clear (void)
| Clears all internal states of the filter.
void | setGain (StkFloat gain)
| Set the filter gain.
StkFloat | getGain (void) const
| Return the current filter gain.
const StkFrames & | lastFrame (void) const
| Return an StkFrames reference to the last output sample frame.
virtual StkFrames & | tick (StkFrames &frames, unsigned int channel=0)=0
| Take a channel of the StkFrames object as inputs to the filter and replace with corresponding outputs.

## Detailed Description

STK abstract filter class.

This class provides limited common functionality for STK digital filter subclasses. It is general enough to support both monophonic and polyphonic input/output classes.

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Member Function Documentation

void stk::Filter::setGain | ( | StkFloat | gain | ) | `[inline]`

Set the filter gain.

The gain is applied at the filter input and does not affect the coefficient values. The default gain value is 1.0.

virtual StkFrames& stk::Filter::tick | ( | StkFrames & | frames,
|  | unsigned int | channel = `0` |
| ) |  |  | `[pure virtual]`

Take a channel of the StkFrames object as inputs to the filter and replace with corresponding outputs.

The StkFrames argument reference is returned. The `channel` argument must be less than the number of channels in the StkFrames argument (the first channel is specified by 0). However, range checking is only performed if _STK_DEBUG_ is defined during compilation, in which case an out-of-range value will trigger an StkError exception.

Implemented in stk::BiQuad, stk::Delay, stk::DelayA, stk::DelayL, stk::Fir, stk::FormSwep, stk::Iir, stk::OnePole, stk::OneZero, stk::PoleZero, stk::TapDelay, stk::TwoPole, and stk::TwoZero.

The documentation for this class was generated from the following file:

- Filter.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.